# -*- coding: utf-8 -*-
from setuphelpers import *

# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
silent_args = "/Q"


def install():
    print("installing %s" % control.asrequirement())

    # Specific app values
    package_version = control.get_software_version()

    # Uninstalling older versions
    check_installed = installed_softwares("Microsoft Visual C++ 2012")
    # print(check_installed)
    for uninstall in check_installed:
        if uninstall["version"] < package_version:
            print("Removing %s" % uninstall["name"])
            cmd = uninstall_cmd(uninstall["key"])
            run(cmd)

    # Installing the package
    install_exe_if_needed(
        "vcredist_x86.exe",
        silentflags=silent_args,
        key="{33d1fd90-4274-48a1-9bc1-97e33d9c2d6f}",
        min_version=package_version,
    )

    if iswin64():
        install_exe_if_needed(
            "vcredist_x64.exe",
            silentflags=silent_args,
            key="{ca67548a-5ebe-413a-b50c-4b9ceb6d66c6}",
            min_version=package_version,
        )
